Bug 1974749 - Review Request: moolticute - Companion app for Mooltipass password manager devices
Summary: Review Request: moolticute - Companion app for Mooltipass password manager de...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-22 12:48 UTC by Arthur Bols
Modified: 2021-07-16 01:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-16 00:59:10 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Arthur Bols 2021-06-22 12:48:29 UTC
Spec URL: https://bols.dev/moolticute.spec
SRPM URL: https://bols.dev/moolticute-0.46.3-1.fc34.src.rpm

Description: 
Moolticute is an easy to use companion app to your Mooltipass device and extends
the power of the device to more platform/tools. It allows you to manage your
Mooltipass with a cross-platform app and daemon service that handles all USB
communication with the device.

Fedora Account System Username: principis

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=70614369


Hi! As this is my first package, I'm looking for a sponsor. I've been trying to learn more about
Fedora packaging by doing some preliminary reviews ([0] [1] [2]). By getting sponsored, I also
hope to save QtPass [3] from being retired.

There are some specific things about this package I'm unsure of:
- The license situation is quite confusing.
  There are many libraries with different licenses:

    BSD 2-clause, BSD 3-clause, GPLv3, GPLv3+, LGPLv3+, MIT, WTF,...

  If I understand the guidelines correctly, the package can be licensed under the GPLv3 
  because they are compiled into a single binary, and the GPLv3 is the most restrictive license.

- Builds fail occasionally. I've disable LTO which seems to solve the problem.
  A few failed builds for reference:
  https://koji.fedoraproject.org/koji/taskinfo?taskID=70613103
  https://koji.fedoraproject.org/koji/taskinfo?taskID=70576948

- I'm upstreaming the metainfo.xml file:
  https://github.com/mooltipass/moolticute/pull/868

  Edit: The PR is accepted and it will be included in the next stable release.


[0]: https://bugzilla.redhat.com/show_bug.cgi?id=1973980
[1]: https://bugzilla.redhat.com/show_bug.cgi?id=1973680
[2]: https://bugzilla.redhat.com/show_bug.cgi?id=1973733
[3]: https://src.fedoraproject.org/rpms/qtpass

Comment 1 Robert-André Mauchin 🐧 2021-07-02 17:05:39 UTC
 - Bump to 0.50.1

 - 

> If I understand the guidelines correctly, the package can be licensed under the GPLv3 
  because they are compiled into a single binary, and the GPLv3 is the most restrictive license.

So, if you are comfortable calculating the effective license it can be helpful to others to use that in the License: field. If you're not comfortable, or you wish to be precise in how you populate the License: field, you may list all of the licenses in the source that were compiled together to make the combined work in the binary rpm.

GPLv3 is okay. I generally encourage people to list all the licenses but it's good that way. I'd like you to add the license breakdown as a comment above the License field,



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License v3.0 or
     later", "*No copyright* [generated file]", "GNU General Public
     License, Version 3", "GNU Lesser General Public License, Version 3 GNU
     General Public License, Version 2", "BSD 2-clause "Simplified"
     License", "Expat License SIL Open Font License", "SIL Open Font
     License", "BSD 3-clause "New" or "Revised" License", "Expat License",
     "Do What The Fuck You Want To Public License, Version 2". 435 files
     have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/moolticute/review-
     moolticute/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in moolticute
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: moolticute-0.46.3-1.fc35.x86_64.rpm
          moolticute-debuginfo-0.46.3-1.fc35.x86_64.rpm
          moolticute-debugsource-0.46.3-1.fc35.x86_64.rpm
          moolticute-0.46.3-1.fc35.src.rpm
moolticute.x86_64: W: no-manual-page-for-binary moolticute
moolticute.x86_64: W: no-manual-page-for-binary moolticuted
moolticute.src:50: W: macro-in-comment %{version}
4 packages and 0 specfiles checked; 0 errors, 3 warnings.


The package is approved.

Since it was a non trivial packagd and you have reviewed other packages, I will also sponsor you in the packager group, I will send you a mail if you need any help for the importing a package process.

Comment 2 Arthur Bols 2021-07-04 22:57:11 UTC
Spec URL: https://bols.dev/moolticute.spec
SRPM URL: https://bols.dev/moolticute-0.50.1-1.fc34.src.rpm


Hi Robert-André,

Thank you for the review and sponsoring me.

When adding the license breakdown, I stumbled across QSimpleUpdater [0], which is licensed under DBAD [1].
Since this license isn't OSI approved (and probably isn't GPL compatible), this causes a problem. Sorry for missing it the first time, I mistook it as
WTFPL...
The updater shouldn't be available anyway, thus I added a patch which completely removes it, so QSimpleUpdater isn't compiled.
I also opened an issue [2] to try and change the license. If that doesn't work out, I'll find a solution with the maintainers of Moolticute. (I already mentioned it on irc).

You can find the patch here: http://bols.dev/moolticute-0.50.1-remove-updater.patch

I bumped the version to 0.50.1 and added the license breakdown (without QSimpleUpdater). 


[0]: https://github.com/alex-spataru/QSimpleUpdater
[1]: http://dbad-license.org/
[2]: https://github.com/alex-spataru/QSimpleUpdater/issues/28

Comment 3 Robert-André Mauchin 🐧 2021-07-05 16:10:39 UTC
Indeed, I  thoight it was WTFPL too,

Ok, the patch seems good. I think you can import it.

Comment 4 Gwyn Ciesla 2021-07-06 15:42:13 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/moolticute

Comment 5 Fedora Update System 2021-07-07 07:45:37 UTC
FEDORA-2021-44c0dee8da has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-44c0dee8da

Comment 6 Fedora Update System 2021-07-07 08:02:38 UTC
FEDORA-2021-3c744b9ad7 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3c744b9ad7

Comment 7 Fedora Update System 2021-07-08 01:16:09 UTC
FEDORA-2021-44c0dee8da has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-44c0dee8da \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-44c0dee8da

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-07-08 01:40:23 UTC
FEDORA-2021-3c744b9ad7 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-3c744b9ad7 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3c744b9ad7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-07-16 00:59:10 UTC
FEDORA-2021-44c0dee8da has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-07-16 01:05:21 UTC
FEDORA-2021-3c744b9ad7 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.